scenario = "Picture"; 

#specify PCL file for this experiment
pcl_file = "picture.pcl";
                          
#no Presentation logfile
no_logfile = true;      

#path to the stimulus pictures
#default_path = "C:\\Shantanu\\Presentation\\Presentation_scenario\\Picture";
               
#trial ends after first response
default_trial_type = first_response;
#other options:
#default_trial_duration = forever;
#default_all_responses = false;
default_trial_duration = 20000;

#choose the left and right mouse buttons for manual responses
active_buttons = 2;
button_codes = 1,2;
#----------------------------------------------------
begin;
#----------------------------------------------------

#set screen resolution
$screen_width = 1152;
$screen_height = 854;
		                  
#print message on screen
text { 
   font_size = 14; 
   caption = "Click mouse button to start calibration..."; 
   system_memory = true; 
} cont;  

picture {} default;

#---------------------------------------------------------- 

#define start screen
trial {
	picture {
		text {
			font_size = 28;
			system_memory = true;
			caption = "Welcome to the Presentation Picture Experiment";
		};
		x = 0; y = 0;
		text cont;
		x = 0; y = -200;
	};                  
} intro_trial;
                    
#define stimulus for trial 1
trial {
	picture {    
	   bitmap { 
	      filename = "images\\sacrmeto.jpg";
	      width = $screen_width;            
         scale_factor = scale_to_width;
	   };
	   x = 0; y = 0;
	};                 
} trial1;

#define stimulus for trial 2
trial {
	picture {    
	   bitmap { 
	      filename = "images\\sac_blur.jpg";
	      width = $screen_width;            
         scale_factor = scale_to_width;
	   };
	   x = 0; y = 0;
	};                 
} trial2;
                            
#define stimulus for trial 3
#Here, 4 different bitmaps are shown at the same time
trial {
	picture {    
	   bitmap { 
	      filename = "images\\hearts.jpg";
	      width = '$screen_width/2';            
         height = '$screen_height/2';
	   };
	   x = '-$screen_width/4'; y = '$screen_height/4'; 
	   
	   bitmap { 
	      filename = "images\\party.jpg";
	      width = '$screen_width/2';            
         height = '$screen_height/2';
	   };
	   x = '$screen_width/4'; y = '$screen_height/4';
	   
	   bitmap { 
	      filename = "images\\squares.jpg";
	      width = '$screen_width/2';            
         height = '$screen_height/2';
	   };
	   x = '-$screen_width/4';  y = '-$screen_height/4';
	   
	   bitmap { 
	      filename = "images\\purses.jpg";
	      width = '$screen_width/2';            
         height = '$screen_height/2';
	   };
	   x = '$screen_width/4'; y = '-$screen_height/4'; 
	};                 
} trial3;
